[Swift-commit] r4008 - usertools/worker-profile

noreply at svn.ci.uchicago.edu noreply at svn.ci.uchicago.edu
Thu Jan 20 09:42:43 CST 2011


Author: wozniak
Date: 2011-01-20 09:42:41 -0600 (Thu, 20 Jan 2011)
New Revision: 4008

Added:
   usertools/worker-profile/worker_jobs_sorted.zsh
Removed:
   usertools/worker-profile/worker_jobs_duration.zsh
Log:
Rename worker_jobs_duration to worker_jobs_sorted


Deleted: usertools/worker-profile/worker_jobs_duration.zsh
===================================================================
--- usertools/worker-profile/worker_jobs_duration.zsh	2011-01-20 15:42:15 UTC (rev 4007)
+++ usertools/worker-profile/worker_jobs_duration.zsh	2011-01-20 15:42:41 UTC (rev 4008)
@@ -1,30 +0,0 @@
-#!/bin/zsh
-
-# Lists worker job counts, sorted for plotting
-# usage: worker_jobs_sorted.zsh <RESULT> <LOGS>
-# The result is a tabular file compatible with plotter/lines.zsh
-
-if [[ ${#*} == 0 ]]
-then
-  print "Lists worker job counts, sorted for plotting"
-  print "usage: worker_jobs_spectrum.zsh <RESULT> <LOGS>"
-  return 1
-fi
-
-PLOTS=$( dirname $0 )
-TOOLS=${PLOTS}/../tools
-
-source ${TOOLS}/helpers.zsh
-[[ $? != 0 ]] && print "Could not source helpers.zsh!" && exit 1
-
-source ${PLOTS}/worker_jobs_lib.zsh
-
-RESULT=$1
-shift
-LOGS=${*}
-
-# Output: <index> <jobs> <ID> <logfile>
-worker_jobs ${LOGS} | sort -k 2 | nl -w1 | \
-  awk '{ print $1 " " $3 " # " $2 " " $4 }' > ${RESULT}
-
-return 0

Copied: usertools/worker-profile/worker_jobs_sorted.zsh (from rev 4007, usertools/worker-profile/worker_jobs_duration.zsh)
===================================================================
--- usertools/worker-profile/worker_jobs_sorted.zsh	                        (rev 0)
+++ usertools/worker-profile/worker_jobs_sorted.zsh	2011-01-20 15:42:41 UTC (rev 4008)
@@ -0,0 +1,30 @@
+#!/bin/zsh
+
+# Lists worker job counts, sorted for plotting
+# usage: worker_jobs_sorted.zsh <RESULT> <LOGS>
+# The result is a tabular file compatible with plotter/lines.zsh
+
+if [[ ${#*} == 0 ]]
+then
+  print "Lists worker job counts, sorted for plotting"
+  print "usage: worker_jobs_spectrum.zsh <RESULT> <LOGS>"
+  return 1
+fi
+
+PLOTS=$( dirname $0 )
+TOOLS=${PLOTS}/../tools
+
+source ${TOOLS}/helpers.zsh
+[[ $? != 0 ]] && print "Could not source helpers.zsh!" && exit 1
+
+source ${PLOTS}/worker_jobs_lib.zsh
+
+RESULT=$1
+shift
+LOGS=${*}
+
+# Output: <index> <jobs> <ID> <logfile>
+worker_jobs ${LOGS} | sort -k 2 | nl -w1 | \
+  awk '{ print $1 " " $3 " # " $2 " " $4 }' > ${RESULT}
+
+return 0




More information about the Swift-commit mailing list